BasicFormattedTextFieldUI (Java SE 14 & JDK 14)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicFormattedTextFieldUI
Keywords: javax.swing.plaf.basic.BasicFormattedTextFieldUI class

Module java.desktop
Package javax.swing.plaf.basic

# Class BasicFormattedTextFieldUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.TextUI
javax.swing.plaf.basic.BasicTextUI
javax.swing.plaf.basic.BasicTextFieldUI
javax.swing.plaf.basic.BasicFormattedTextFieldUI

All Implemented Interfaces:
  `ViewFactory`

    public class BasicFormattedTextFieldUI
    extends BasicTextFieldUI

Provides the look and feel implementation for `JFormattedTextField`.

Since:
  1.4

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class javax.swing.plaf.basic.BasicTextUI

  `BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BasicFormattedTextFieldUI()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static ComponentUI` | `createUI​(JComponent c)` | Creates a UI for a JFormattedTextField.
  `protected String` | `getPropertyPrefix()` | Fetches the name used as a key to lookup properties through the UIManager.

  ### Methods declared in class javax.swing.plaf.basic.BasicTextFieldUI

  `create, getBaseline, getBaselineResizeBehavior`

  ### Methods declared in class javax.swing.plaf.basic.BasicTextUI

  `create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, installUI, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, propertyChange, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel`

  ### Methods declared in class javax.swing.plaf.TextUI

  `getNextVisualPositionFrom, getToolTipText2D, modelToView2D, viewToModel2D`

  ### Methods declared in class javax.swing.plaf.ComponentUI

  `contains, getAccessibleChild, getAccessibleChildrenCount`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BasicFormattedTextFieldUI

    public BasicFormattedTextFieldUI()

- ## Method Details

  - ### createUI

    public static ComponentUI createUI​(JComponent c)
    Creates a UI for a JFormattedTextField.
    Parameters:
      `c` - the formatted text field
    Returns:
      the UI

  - ### getPropertyPrefix

    protected String getPropertyPrefix()
    Fetches the name used as a key to lookup properties through the UIManager. This is used as a prefix to all the standard text properties.
    Overrides:
      `getPropertyPrefix` in class `BasicTextFieldUI`
    Returns:
      the name "FormattedTextField"